name: mc_common_app
description: A new Flutter project.
version: 1.0.0+1

environment:
  sdk: ">=2.17.0 <3.0.0"



dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.2
  path_provider: ^2.0.4
  injector: ^2.0.0
  provider: ^6.0.0
  easy_localization: ^3.0.3
  http: ^0.13.3
  permission_handler: ^11.3.1
  flutter_svg: ^1.0.3
  sizer: ^2.0.15
  fluttertoast: ^8.0.8
  shared_preferences: ^2.0.6
  file_picker: ^6.1.1
  image_picker: ^0.8.4+4
  equatable: ^2.0.3
  logger: 2.3.0
  auto_size_text: any
  shimmer: ^2.0.0
  hexcolor: ^3.0.1
  cached_network_image: any
  url_launcher: ^6.1.14
  badges: ^3.0.2
  carousel_slider: ^4.2.1
  dropdown_button2: ^2.0.0
  flutter_inappwebview: ^5.7.2+3
  country_code_picker: ^3.0.0
  table_calendar: ^3.0.9
  intl: any
  signalr_core: ^1.1.1
  logging: ^1.2.0
  percent_indicator: ^4.2.3
  change_app_package_name: ^1.3.0


  #  Firebase Packages

  firebase_messaging: ^15.0.4
  firebase_core: ^3.3.0
  flutter_local_notifications: ^17.2.1+2


  #  google
  google_maps_flutter: ^2.1.1
  geolocator: any
  #  geocoding: ^2.1.0
  geocoding: ^3.0.0


  #   Auth

  local_auth: ^2.2.0
  huawei_fido: ^6.3.0+305
  device_info_plus: ^10.1.0


dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^2.0.0


flutter:
  uses-material-design: true

  assets:
    - assets/
    - assets/langs/
    - assets/icons/
    - assets/icons/payments/
    - assets/images/
    - assets/fonts/

  fonts:
    - family: Poppins
      fonts:
        - asset: assets/fonts/Poppins-Medium.ttf
    - family: GessTwo
      fonts:
        - asset: assets/fonts/GESS-Two-Light.otf
        - asset: assets/fonts/GESS-Two-Bold.otf
        - asset: assets/fonts/GESS-Two-Medium.otf

